<%@ Page Language="C#" AutoEventWireup="True" CodeBehind="design_plugin.aspx.cs" Inherits="MYAPP.pano.design_plugin" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title></title>
<link href="/CSS/main.css" rel="stylesheet" type="text/css" />
</head>
<script language='JavaScript' type='text/javascript' src='/js/common.js'></script>
<script language="JavaScript" type="text/javascript" src="/js/odialog.js"></script>
<script language="JavaScript" type="text/javascript" src="/js/tdialog.js"></script>
<script type="text/javascript">
var oWindow=window.opener;
	function krpano() 
	{
			return document.getElementById("krpanoSWFObject");
	}

function set_plugin(name,field,value)
{
	krpano().set("plugin["+name+"]."+field,value);
	if (((field=="width")||(field=="height"))&&(value==""))
	{
		krpano().call("plugin["+name+"].resetsize();");
	}
	
	if ((field=="scale")&&(value=="1"))
	{
		krpano().call("plugin["+name+"].resetsize();");
	}
}	

function get_plugin(name,field)
{
	return krpano().get("plugin["+name+"]."+field);
}
function set_plugin_child(name,child,field,value)
{
	krpano().set("plugin["+name+"]."+child+"."+field,value);
}
function changeorigin(name,neworigin,newedge) 
{
	krpano().call("plugin["+name+"].changeorigin("+neworigin+","+newedge+");");
	krpano().call("plugin["+name+"].resetsize();");
}
function setxy()
{
	parent.get_pluginxy();
}
</script>
<style>
body {
	font-family:Arial, Helvetica, sans-serif;
	font-size:10px;
	color:#FFFFFF;
	margin:0;
	padding:0;
}
a {
	color:#AAAAAA;
	text-decoration:underline;
}
a:hover {
	color:#FFFFFF;
	text-decoration:underline;
}
</style>
<body scroll="no" onLoad="window.focus();">
<div id="krpanoDIV"></div>
<script src="/pano/swfkrpano.js"></script>
<script>
	var viewer = createPanoViewer({swf:"/project/<%=_Tour_ID%>/epano.aspx", id:"krpanoSWFObject", target:"krpanoDIV"});
	//viewer.useHTML5("whenpossible");		// incomment to use the HTML5 krpanoJS viewer always when possible (Safari5)
	viewer.addVariable("pano", '<%=String.Format("tour.xml", _Tour_ID)%>');
	viewer.addParam("wmode", "opaque");
	viewer.embed();
</script>
</body>
</html>
